# Parameters:
# 1) Path to source file (one name per line)
# 2) Event Token
# 3) Number of rounds

CLIENT_CERT="client.crt"
CLIENT_KEY="client.key"
HOST="https://localhost/get_ids"

SRC_DIR=$(echo $PWD)
TMP_DIR=$(mktemp -d)
cd $TMP_DIR
split -l 50 -d $SRC_DIR/$1 user-list-

for f in $TMP_DIR/*
do
  USERS=$(cat $f | paste -sd ',' -)
  USERS=$(echo "$USERS" | sed "s/,/\",\ \"/g")
  USERS="\"$USERS\""
  for ROUND in $(seq 1 $3)
  do
    JSON="{\"event_token\": \"$2\", \"round\": $ROUND, \"user_names\": [$USERS]}"
    curl -k $HOST --cert $CLIENT_CERT --key $CLIENT_KEY -H 'Content-Type: application/json' \
      -d "$JSON" > /dev/null
  done
done

rm -rf $TMP_DIR
