<?php

require_once dirname(__DIR__) . '/functions.php';
header('Content-Type: application/json');

try {

	$aidd = new AbstimmIDd();

	if (($body = json_decode(file_get_contents('php://input'))) === null)
		throw new Exception("invalid JSON");

	if(ends_with($_SERVER["REQUEST_URI"], '/get_ids')) {
		$data = $aidd->get_voting_ids($body);
	} else if(ends_with($_SERVER["REQUEST_URI"], '/register_event')) {
		$data = $aidd->register_event($body);
	} else if(ends_with($_SERVER["REQUEST_URI"], '/export_result')) {
		$data = $aidd->export_result($body);
	} else {
		throw new Exception("no route");
	}

	echo json_encode($data);

}
catch (Exception $e) {
	http_response_code(500);
	echo json_encode(["error" => $e->getMessage()]);
	exit;
}

function ends_with($string, $endString) { 
	$len = strlen($endString); 
	if ($len == 0)
		return true; 
	return (substr($string, -$len) === $endString); 
}
